Bug 1216 - short preserve case inconsistency
short preserve case inconsistency
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: File Services
3.0.2a
All AIX
: P3 major
: none
Assigned To: Jeremy Allison
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-26 05:49 UTC by William Jojo
Modified: 2005-11-22 11:06 UTC (History)
3 users (show)

See Also:


Attachments
Debug-Messages (9.27 KB, text/plain)
2005-11-20 03:25 UTC, Peter Koch
no flags Details
Patch (1.24 KB, patch)
2005-11-22 11:06 UTC, Jeremy Allison
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description William Jojo 2004-03-26 05:49:30 UTC
Bill,

I would file a bug and assign it to jra@samba.org.



cheers, jerry


William Jojo wrote:
|
|
| On 3.0.2 and 3.0.3pre1 (AIX 5.2), we are having an issue here short names
| are not consistently lower-cased with winXP/SP1 client authed as the
| listed admin user or any other valid user. Samba compiled with
| -D_ALL_SOURCE and -D_LINUX_SOURCE_COMPAT. Later in the show just
| -D_ALL_SOURCE.
|
|
| stanza is as follows...
|
|
| [x04shr]
|   browseable = no
|   comment = Summer 2004 DEVELOPMENT Share
|   path = /x04shr
|   writeable = yes
|   guest ok = no
|   admin users = testxp
|   valid users = testxp robotest webberob test1 test2 test3 test4 test5
| test6 tes
| t7 test8 test9
|   oplocks = no
|   level2 oplocks = no
|   short preserve case = no
| #  preserve case = yes
| #  default case = lower
| #  mangled names = no
|
|
|
|
| Log level 4 shows this successful trans:
|
| [2004/03/24 15:51:52, 3] smbd/reply.c:reply_mv(3723)
|   reply_mv : \New Folder -> \CACA
| [2004/03/24 15:51:52, 3] lib/util.c:unix_clean_name(580)
|   unix_clean_name [/New Folder]
| [2004/03/24 15:51:52, 3] lib/util.c:unix_clean_name(580)
|   unix_clean_name [/CACA]
| [2004/03/24 15:51:52, 3] smbd/reply.c:rename_internals(3515)
|   rename_internals: case_sensitive = 0, case_preserve = 1, short case
| preserve = 0, directory = ./New Folder, newname = ./caca,
| newname_last_component = caca, is_8_3 = 0
| [2004/03/24 15:51:52, 3] smbd/reply.c:rename_internals(3609)
|   rename_internals: succeeded doing rename on ./New Folder -> ./caca
|
|
| and this failed....one directory below the successfule one.
|
|
| [2004/03/24 15:55:33, 3] smbd/reply.c:reply_mv(3723)
|   reply_mv : \xpapps\New Folder -> \xpapps\CACA
| [2004/03/24 15:55:33, 3] lib/util.c:unix_clean_name(580)
|   unix_clean_name [/xpapps/New Folder]
| [2004/03/24 15:55:33, 3] lib/util.c:unix_clean_name(580)
|   unix_clean_name [/xpapps/CACA]
| [2004/03/24 15:55:33, 3] smbd/reply.c:rename_internals(3515)
|   rename_internals: case_sensitive = 0, case_preserve = 1, short case
| preserve = 0, directory = xpapps/New Folder, newname = xpapps/CACA,
| newname_last_component = CACA, is_8_3 = 0
|
|
|
|
| recompiled with -D_ALL_SOURCE only.
|
|
|
| success...
|
|
| [2004/03/24 16:17:12, 3] smbd/reply.c:reply_mv(3723)
|   reply_mv : \New Folder -> \CACA
| [2004/03/24 16:17:12, 3] lib/util.c:unix_clean_name(580)
|   unix_clean_name [/New Folder]
| [2004/03/24 16:17:12, 3] lib/util.c:unix_clean_name(580)
|   unix_clean_name [/CACA]
| [2004/03/24 16:17:12, 3] smbd/reply.c:rename_internals(3515)
|   rename_internals: case_sensitive = 0, case_preserve = 1, short case
| preserve = 0, directory = ./New Folder, newname = ./caca,
| newname_last_component = caca, is_8_3 = 0
| [2004/03/24 16:17:12, 3] smbd/reply.c:rename_internals(3609)
|   rename_internals: succeeded doing rename on ./New Folder -> ./caca
|
|
| not so successful...
|
|
| [2004/03/24 16:19:08, 3] smbd/reply.c:reply_mv(3723)
|   reply_mv : \xpapps\New Folder -> \xpapps\CACA
| [2004/03/24 16:19:08, 3] lib/util.c:unix_clean_name(580)
|   unix_clean_name [/xpapps/New Folder]
| [2004/03/24 16:19:08, 3] lib/util.c:unix_clean_name(580)
|   unix_clean_name [/xpapps/CACA]
| [2004/03/24 16:19:08, 3] smbd/reply.c:rename_internals(3515)
|   rename_internals: case_sensitive = 0, case_preserve = 1, short case
| preserve = 0, directory = xpapps/New Folder, newname = xpapps/CACA,
| newname_last_component = CACA, is_8_3 = 0
| [2004/03/24 16:19:08, 3] smbd/reply.c:rename_internals(3609)
|   rename_internals: succeeded doing rename on xpapps/New Folder ->
| xpapps/CACA
|
|
|
|
| Can I provide any more info?
|
|
| Regards,
|
| Bill


- --
- ----------------------------------------------------------------------
Hewlett-Packard            ------------------------- http://www.hp.com
SAMBA Team                 ---------------------- http://www.samba.org
GnuPG Key                  ---- http://www.plainjoe.org/gpg_public.asc
"If we're adding to the noise, turn off this song" --Switchfoot (2003)
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.1 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iD8DBQFAYwKOIR7qMdg1EfYRAh5vAJ9n2aFGfXjiZXt7XG0x3oml3nAhcACeLAoO
VVjDkjQSQ68TRktltylHZfI=
=d++J
-----END PGP SIGNATURE-----

[academ:/home/jojowil/mail] $
Comment 1 Gerald (Jerry) Carter 2005-02-07 07:48:58 UTC
marking as fixed in current 3_0 svn after jra's changes.  
Please reopen if the issue still exists.  Originally 
reported against 3.0.3pre1
Comment 2 Gerald (Jerry) Carter 2005-08-24 10:23:37 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.
Comment 3 Peter Koch 2005-11-20 03:25:42 UTC
Created attachment 1581 [details]
Debug-Messages

This debug messages show that Samba 3.0.20b behave differently when renaming file VeryLongName.txt into Short.txt depending on wether the file is located in the top level directory of a share or not.

If it is located in a top level directory "short preserver case = no" will work and the final name is short.txt. If it is not located in the top level directory "short preserver case = no" will not work and the final name is Short.txt instead of short.txt
Comment 4 Peter Koch 2005-11-20 03:27:03 UTC
Hi

The problem still exists with Samba 3.0.20b. I attached some debug-output
Comment 5 Jeremy Allison 2005-11-22 11:06:09 UTC
Created attachment 1590 [details]
Patch

I think this should fix it.
Jeremy.